Bug 487875 - possible HPET instability on Thinkpad X200 [NEEDINFO]
possible HPET instability on Thinkpad X200
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-28 11:43 EST by Need Real Name
Modified: 2009-12-18 03:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:55:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cebbert: needinfo? (karlcz)


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2009-02-28 11:43:26 EST
Description of problem:

In the past week on Fedora 10 with nightly yum updates I started seeing GNOME input/focus misbehaviors which I eventually found in .xsession-errors listed as an error of "last_focus_time" going backwards.

Changing current_clocksource from hpet to acpi_pm immediately stopped this behavior and I have not seen any additional problems.

Version-Release number of selected component (if applicable):

kernel-2.6.27.15-170.2.24.fc10.x86_64

xorg-x11-server-Xorg-1.5.3-13.fc10.x86_64
xorg-x11-drv-i810-2.5.0-4.fc10.x86_64 (using intel driver)
metacity-2.24.0-2.fc10.x86_64

Also using iwlagn from kernel.

How reproducible:

I am not sure if this happened the first time I rebooted with the new kernel, or if it required a combination of other recent packages (such as Xorg) to manifest. 

Steps to Reproduce:
1. with a Thinkpad X200 up to date with repo mirror as of 27 Feb 2009
2. reboot and use normal cpu frequency control for laptops, etc.
3. run a GNOME session with metacity window manager and no compiz
4. start interacting with multiple windows using focus-follows-mouse
5. make sure kernel clocksource is hpet

(I used the fedora repo mirror at mirrors.kernel.org for my 27 Feb 2009 update)

Actual results:

Multiple times per hours (sometimes only seconds apart) you lose the ability to click on anything or move focus to a window, even though you can still move the mouse cursor around the screen. These last_focus_time comparison errors show up in the .xsession-errors file, intermingled with other messages that may be unrelated.

Expected results:

The user input is never disrupted.


Additional info:

The failure seems unrelated to the specific combination of X apps, happening even with just basic gnome-panel interactions at the beginning of a session. It may be more repeatable with frequent task switching between a web browser, xterms, etc.  I do not know if a similar error can be manifested without using focus-follows-mouse policy in metacity or with another window manager. However no new metacity package has been released in correlation with this bug appearing (at least according to the metacity RPM changelog).

You can usually recover the focus and control via hot-keys to change virtual desktops. Sometimes, the only recovery is to switch to another VT and run metacity --replace to force things to reset.
Comment 1 Chuck Ebbert 2009-03-02 14:07:42 EST
Can you isolate the problem by booting older kernels and seeing if the problem happens on those? The two previous kernels should be available on the boot menu.
Comment 2 Bug Zapper 2009-11-18 06:15:39 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 03:55:52 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.